summaryrefslogtreecommitdiff
path: root/tests/mv/partition-perm
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/partition-perm')
-rwxr-xr-xtests/mv/partition-perm4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/mv/partition-perm b/tests/mv/partition-perm
index cf68aabd4..f510edf08 100755
--- a/tests/mv/partition-perm
+++ b/tests/mv/partition-perm
@@ -1,7 +1,7 @@
#!/bin/sh
# Make sure permissions are preserved when moving from one partition to another.
-# Copyright (C) 1999, 2000, 2001 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2000, 2001, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -33,7 +33,7 @@ fi
pwd=`pwd`
dir=p-perm-$$
-trap "cd $pwd; rm -rf $dir $other_partition_tmpdir" 0 1 2 3 15
+trap 'cd "$pwd" && rm -rf $dir $other_partition_tmpdir' 0 1 2 3 15
mkdir $dir